# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(PHP/Serialization.pm)
# END SourceDeps(oneline)
%define module_name PHP-Serialization-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: simple flexible means of converting the output of PHP's serialize() into the equivalent Perl memory...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KU/KULP/%{module_name}-%{version}.tar.gz

%description
This module provides the same interface as the PHP::Serialization manpage, but
uses XS during deserialization, for speed enhancement.

If you have code written for `PHP::Serialization', you should be able to
replace all references to `PHP::Serialization' with
`PHP::Serialization::XS' and notice no change except for an increase in
speed of deserialization.

Node that serialization is still provided by `PHP::Serialization', and
its speed should therefore not be affected. This is why
`PHP::Serialization::XS' requires `PHP::Serialization' to be
installed.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.11-alt1
- initial import by package builder

